<script setup lang="ts">
const props = defineProps<{
  class?: string
  ux?: any
  orientation: 'horizontal' | 'vertical'
}>()

const classes = useStyling(
  'separator',
  {
    slots: {
      base: 'self-stretch h-auto',
    },
  },
  props
)
</script>

<template>
  <USeparator :class="classes.base" :orientation="props.orientation" />
</template>
